package org.hornetq.jms.example;

import java.util.List;
import java.util.ArrayList;

/**
 * @author Grant Little <grant.little@coreservices.com.au>
 */
public class Reconciler {

    private List<String> messageIds = new ArrayList<String>();
    private List<String> likelyDuplicateIds = new ArrayList<String>();

    public void addMessage(String messageId) {
        messageIds.add(messageId);
    }

    public void removeMessage(String messageId) {
        if (!messageIds.contains(messageId)) {
            likelyDuplicateIds.add(messageId);
        }
        messageIds.remove(messageId);
    }

    public int getUnReconciledCount() {
        return messageIds.size();
    }

    public int getLikelyDuplicateCount() {
        return likelyDuplicateIds.size();
    }

}
